Bug 830563 - s-c-l should use langinstall instead of groupinstall
s-c-l should use langinstall instead of groupinstall
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: FutureFeature, i18n, Reopened
: 857698 (view as bug list)
Depends On: 840885
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 12:50 EDT by Germano Massullo
Modified: 2014-06-30 19:21 EDT (History)
9 users (show)

See Also:
Fixed In Version: system-config-language-2.2.0-3.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 19:21:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2012-06-10 12:50:02 EDT
Description of problem:
On Fedora KDE spin (fresh install) the system-config-language does not change the system language. Only a few components changed language.
Comment 1 Pravin Satpute 2012-06-14 08:10:55 EDT
please provide rpm version of s-c-l.

what is the content of /etc/sysconfig/i18n after selecting language in s-c-l?
Comment 2 Germano Massullo 2012-06-27 08:11:21 EDT
# cat /etc/sysconfig/i18n
LANG="it_IT.UTF-8"
SYSFONT="latarcyrheb-sun16


# cat /etc/sysconfig/i18n
LANG="it_IT.UTF-8"
SYSFONT="latarcyrheb-sun16
Comment 3 Germano Massullo 2012-07-24 05:31:41 EDT
Could it be related to https://bugzilla.redhat.com/show_bug.cgi?id=840885  ?
Comment 4 Pravin Satpute 2012-07-24 05:48:33 EDT
yes, looks like.

If there is nothing to change or differences you can see. Then simply changing language will not work. Only application will start in that locale.

Please note one more thing s-c-l only changes system language(root) , not users.
Comment 5 Germano Massullo 2012-07-24 16:43:26 EDT
Do you need some other infos?
Comment 6 Jens Petersen 2012-07-25 05:53:05 EDT
(In reply to comment #2)
> # cat /etc/sysconfig/i18n
> LANG="it_IT.UTF-8"
> SYSFONT="latarcyrheb-sun16

So it has changed...

You need to reboot after that though.

I think this is not a bug.
Comment 7 Germano Massullo 2012-07-25 06:12:42 EDT
I rebooted but the system did not change language. Seriously, it is a bug, since 2009 I installed about 30 Fedora KDE machines and I always followed the same procedure. But from Fedora 17 it is no longer working
Comment 8 Pravin Satpute 2012-07-25 08:11:49 EDT
from communications on #fedora-kde i understood, this problem is not related with s-c-l since your locales are set properly but since you do not have required packages you are not getting localized env. 

As said on https://bugzilla.redhat.com/show_bug.cgi?id=840885#c8 making yum-langpacks backward compatible can solve this problem.
Comment 9 Jens Petersen 2012-07-25 20:48:13 EDT

*** This bug has been marked as a duplicate of bug 840885 ***
Comment 10 Jens Petersen 2012-07-25 20:53:47 EDT
(Just note also that system locale (language) is not necessarily same as user locale.)

Because of the changes to to comps with yum-langpacks, system-config-language
will no longer allow you to install langpacks which is a bit unfortunate.

Maybe it is better to make this bug depend on bug 840885 since some
changes may be need to s-c-l after bug 840885 gets fixed.
Comment 11 Pravin Satpute 2012-07-26 01:29:48 EDT
  Yeah, might be instead of yum groupinstall "language", i need to run yum langinstall "language".
  I am keeping watch on it.

Thanks,
Pravin S
Comment 12 Pravin Satpute 2012-09-17 02:59:40 EDT
*** Bug 857698 has been marked as a duplicate of this bug. ***
Comment 13 Germano Massullo 2012-12-28 17:55:44 EST
Fedora 18 is still affected by this problem
Comment 14 Parag Nemade 2013-01-11 00:06:44 EST
Can you provide detailed steps like in which language you installed F18, what other language you want to set using s-c-l and what happened when you try to set that language and what was not done for you by s-c-l?
Comment 15 Germano Massullo 2013-01-12 04:53:33 EST
Installing a fresh Fedora 18 KDE beta and selecting a non US language in Anaconda installation process, after the system restart...

1) s-c-l is not default installed (Do you suggest me to open a bugreport for that?). When you install it and you start it, you can see your non us language default selected (as it is in KDE system settings -> Locale), so I had the dubt that s-c-l has been replaced by KDE system settings -> Locale, but in IRC chat, Rex Dieter told me it does not.

2) s-c-l still does not install the kde package for your non us language and you have to do it manually by installing (in my case) the package kde-l10n-Italian
After that, the system is correctly using the Italian language
Comment 16 Pravin Satpute 2013-01-13 22:45:28 EST
- AFAIK we are not installing s-c-l default from many releases.

- does yum langinstall pulls "kde-l10n-Italian" package for you?

s-c-l uses yum langinstall and yum groupinstall lang-support, so if these commands are pulling those packages s-c-l should also install "kde-l10n-Italian" package, else it is bug with s-c-l.
Comment 17 Fedora Admin XMLRPC Client 2013-01-28 00:50:07 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Parag Nemade 2013-07-04 00:04:10 EDT
Moving this to F19...
Comment 19 Fedora End Of Life 2013-07-04 02:26:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Germano Massullo 2013-12-21 16:39:59 EST
Recently I putted my hands on fresh Fedora KDE installations, and I saw that there are no menu entries that can allow a user to change the desktop environment language to a non English one, without putting his hands on a package manager.
This can be a problem for new users.
Comment 21 Diego 2014-02-22 16:33:37 EST
(In reply to Germano Massullo from comment #20)
> Recently I putted my hands on fresh Fedora KDE installations, and I saw that
> there are no menu entries that can allow a user to change the desktop
> environment language to a non English one, without putting his hands on a
> package manager.
> This can be a problem for new users.

I confirm the exact same problem. The only way is to know manually which packages to install (tedious and error prone) or use from the command line:
yum langinstall <lang-code>

I has been like that for several Fedora releases, it would be nice to fix it in next version.
Comment 22 Rex Dieter 2014-03-10 09:21:00 EDT
rebasing to rawhide, marking FutureFeature, to avoid autoclose.
Comment 23 Diego 2014-03-11 04:54:15 EDT
(In reply to Rex Dieter from comment #22)
> rebasing to rawhide, marking FutureFeature, to avoid autoclose.

Can this be evaluated as a release blocker for Fedora 21? Changing system language and installing related packages has been something I remember being supported for a long time in Fedora, and that other distributions still support.
I'd consider this as a regression and quite important for a mainstream Linux distribution.
Comment 24 Parag Nemade 2014-06-14 07:55:00 EDT
Fixed in system-config-language-2.1.0-1.fc21
Comment 25 Fedora Update System 2014-06-19 09:36:15 EDT
system-config-language-2.2.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-language-2.2.0-2.fc20
Comment 26 Fedora Update System 2014-06-19 18:57:09 EDT
Package system-config-language-2.2.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-language-2.2.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7516/system-config-language-2.2.0-2.fc20
then log in and leave karma (feedback).
Comment 27 Fedora Update System 2014-06-30 19:21:19 EDT
system-config-language-2.2.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.